### Class

# EDataServer SourceBackend

since: 3.6

#### Description [src]

    abstract class EDataServer.SourceBackend : EDataServer.SourceExtension
    {
      /* No available fields */
    }

Contains only private data that should be read and manipulated using the functions below.

Available since: 3.6

#### Hierarchy

#### Ancestors

- ESourceExtension
- GObject

#### Descendants

- ESourceAddressBook
- ESourceCollection
- ESourceMailAccount
- ESourceMailTransport
- ESourceSelectable

#### Instance methods

###### e_source_backend_dup_backend_name

Thread-safe variation of e_source_backend_get_backend_name(). Use this function when accessing `extension` from multiple threads.

since: 3.6

###### e_source_backend_get_backend_name

Returns the backend name for `extension`.

since: 3.6

###### e_source_backend_set_backend_name

Sets the backend name for `extension`.

since: 3.6

##### Methods inherited from ESourceExtension (4)

###### e_source_extension_get_source

Returns the `ESource` instance to which `extension` belongs.

deprecated: 3.8 since: 3.6

###### e_source_extension_property_lock

Acquires a property lock, thus no other thread can change properties of the `extension` until the lock is released.

since: 3.18

###### e_source_extension_property_unlock

Releases a property lock, previously acquired with e_source_extension_property_lock(), thus other threads can change properties of the `extension`.

since: 3.18

###### e_source_extension_ref_source

Returns the `ESource` instance to which the `extension` belongs.

since: 3.8

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### EDataServer.SourceBackend:backend-name

The name of the backend handling the data source.

##### Properties inherited from ESourceExtension (1)

###### EDataServer.SourceExtension:source

The `ESource` being extended.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EDataServerSourceBackendClass {
      ESourceExtensionClass parent_class;

    }

No description available.

###### Class members

`parent_class: ESourceExtensionClass`

  No description available.